Skip to main content
`Ctrl`+`K`

# DMPlexLabelClearCells

Remove cells from a label

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexLabelClearCells(DM dm, DMLabel label)

## Input Parameters

- dm - The `DM`

- label - A `DMLabel` marking surface points and their adjacent cells

## Output Parameter

- label - A `DMLabel` without cells

## Note

This undoes `DMPlexLabelAddCells()` or `DMPlexLabelAddFaceCells()`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexLabelComplete()`, `DMPlexLabelCohesiveComplete()`, `DMPlexLabelAddCells()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages